QGIS Application - Bug report #5590
Arrow in composer - "bounding box" corners
2012-05-14 09:13 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15167
Description

The four corners for the "bounding box" of the arrow you add in print composer aren't actually surrounding the arrow you add. The
"bottom" ones are mid-way up the arrow.

History

#1 - 2012-05-14 10:18 AM - Giovanni Manghi
- Assignee set to Marco Hugentobler

- Category set to 33

- Status changed from Open to Feedback

| cannot confirm on master on Ubuntu. Can you please leave feeback and post a screenshot?

#2 - 2012-05-15 02:18 AM - Jonathan Moules
- File Clipboard01.png added

Screenshot attached. 1.7.4 on Windows server 2008 r2

#3 - 2012-05-15 02:33 AM - Giovanni Manghi

Ok | see, but | would say that this issue is related to #5588

#4 - 2012-06-16 02:35 AM - Jiirgen Fischer
- Status changed from Feedback to Open

#5 - 2012-09-04 12:09 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#6 - 2013-09-22 03:07 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to 70

- Affected QGIS version changed from 1.7.4 to 2.0.1
- Assignee deleted (Marco Hugentobler)

#7 - 2013-09-26 11:30 AM - Jiirgen Fischer
- Target version changed from 70 to Future Release - High Priority
#8 - 2014-04-06 06:04 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#9 - 2015-12-09 03:36 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

| can't reproduce it on QGIS 2.13 master. Can you confirm this bug is fixed (I think it is) ?

#10 - 2015-12-09 06:53 PM - Nyall Dawson
- Status changed from Feedback to Open

It's still an issue... not as bad as it used to be, but still needs addressing.

#11 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#12 - 2017-12-18 11:57 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in layouts engine - no more arrow items! Now everything is done with the much improved polyline item.

Files
